/*
 * @Description: 常量和数据字典
 * @Version: 1.0
 * @Autor: caiyang
 * @Date: 2020-06-04 08:36:18
 * @LastEditors: chenkangxu
 * @LastEditTime: 2022-09-05 18:35:52
 */
const commonConstants = {
}

commonConstants.tableMessage={
    select:"请在人员表格中勾选人员",
}

/**
 * @description:
 * @param {type}
 * @return:
 * @author: caiyang
 */
commonConstants.sessionItem={
    isAdmin:"isAdmin",
    orgIds:"orgIds",
    authorization:"token",
    position:"position",
    userName:"userName",
    apiList:"apiList",
    codeValues:"codeValues",
}
//请求错误码以及对应的错误信息
commonConstants.errorCodeMsg = {
    400:"请求错误。",
    401:"访问权限不足！",
    403:"拒绝访问！",
    404:"无法访问，请确认访问地址是否正确！",
    408:"访问超时。",
    500:"系统异常，请联系管理员",
    501:"未找到该服务",
    502:"网络异常。",
    503:"服务器停止运行，请与管理员联系。",
    504:"服务器停止运行，请与管理员联系。"
}

//message消息级别
commonConstants.messageType={
    success:"success",//成功
    warning:"warning",//警告
    info:"info",//通知
    error:"error"//错误
}


//modal页面的类型
commonConstants.modalType={
    insert:"1",//新增
    update:"2",//编辑
    detail:"3",//详情
}

//modal页面的标题
commonConstants.modalTitle={
    insert:"新增",//新增
    update:"编辑",//编辑
    detail:"详情",//详情
}
//大屏组件类型
commonConstants.componentsType={
    panel:"panel",//画布
    text:"text",//文本
    picture:"picture",//图片
    histogram:"histogram",//柱状图
    lineChart:"lineChart",//折线图
    pieChart:"pieChart",//饼图
    gauge:"gauge",//仪表盘
    table:"table",//表格
    date:"date",//日期
    delete:"delete",//删除的组件
}
//大屏文本组件初始化的值
commonConstants.screenTextInit={
    type:commonConstants.componentsType.text,
    textType:"text",//文本类型
    x:0,//初始化横坐标
    y:0,//初始化纵坐标
    w:200,//文本组件初始化宽度
    h:50,//文本组件初始化高度
    style:{
        display:'table-cell',textAlign:'center', verticalAlign:"middle",fontSize:"14",color:"#ffffff",letterSpacing:"1",background:"",fontWeight:false
    },
    zindex:'auto',
    content:"文本",
    columnDataSource:"1",//柱体数据来源 1自定义 2接口 3数据集
    dataApiSettings:{//柱体数据接口配置
        url:"",//请求地址
        requestType:"post",//请求类型 post get
        params:"",//请求参数
        resultType:"",//返回值类型
        resultTypeProp:"",//返回值属性
    },
    columnDataSetSettings:{//柱体数据数据集配置
        dataSetId:"",//数据集id
        column:"",//cloumn属性
    },
    isRefresh:false,//是否定时刷新
    refreshTime:0,//定时刷新时间，单位(ms)
    speed:10,//滚动速度
    href:"",
}
//大屏图片组件初始化的值
commonConstants.screenPictureInit={
    type:commonConstants.componentsType.picture,
    x:0,//初始化横坐标
    y:0,//初始化纵坐标
    w:200,//图片组件初始化宽度
    h:200,//图片组件初始化高度
    // style:{
    //     display:'table-cell',textAlign:'center', verticalAlign:"middle",fontSize:"14",color:"#000000",letterSpacing:"1",background:"",fontWeight:false
    // },
    imgUrl:"",
    zindex:'auto',
}
//大屏柱状图组件初始化值
commonConstants.screenHistogramInit={
    type:commonConstants.componentsType.histogram,
    x:0,//初始化横坐标
    y:0,//初始化纵坐标
    w:300,//文本组件初始化宽度
    h:200,//文本组件初始化高度
    active:false,
    zindex:'auto',
    theme:"dark",//主题
    isRefresh:false,//是否定时刷新
    refreshTime:0,//定时刷新时间，单位(ms)
    options:{
        backgroundColor: '#100C2A' ,
        title:{
            show:true,//ture or false
            text:"柱状图",
            x:'center',//'left' 'center' 'right'
            textStyle:{//标题样式
                color:'#1E90FF',
                fontWeight: 'normal',//'normal' 'bold'
                fontSize:20
            }
        },
        tooltip:{
            show:true,
            trigger: 'axis',
            axisPointer: {
                type: 'shadow'
            }
        },
        legend:{
            show:true,
            left:0,
            top:0
        },
        xAxis: {//x轴属性
            type: 'category',
            data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
            axisLabel:{//x坐标是否显示，间隔和字体倾斜
                show:true,
                interval:0,
                rotate:30,
                color:'#FFFFFF',//字体颜色
                fontWeight:'normal',//'normal','bold'
                fontSize:12,
                overflow:'truncate',
                ellipsis:'...',
                width:40
            },
        },
        yAxis: {
            show:true,
            axisLabel:{//x坐标是否显示，间隔和字体倾斜
                show:true,
                rotate:0,
                color:'#FFFFFF',//字体颜色
                fontWeight:'normal',//'normal','bold'
                fontSize:12,
                overflow:'truncate',
                ellipsis:'...',
                width:40
            },
        },
        
        categoryDataSource:"1",//类目数据来源 1自定义 2接口 3数据集
        apiSettings:{
            url:"",//请求地址
            requestType:"post",//请求类型 post get
            params:"",//请求参数
            resultType:"",//返回值类型
            resultTypeProp:"",//返回值属性
        },
        //类目数据集配置
        categoryDataSetSettings:{
            dataSetId:"",//数据集id
            column:"",//cloumn属性
        },
        columnDataSource:"1",//柱体数据来源 1自定义 2接口 3数据集
        dataApiSettings:{//柱体数据接口配置
            url:"",//请求地址
            requestType:"post",//请求类型 post get
            params:"",//请求参数
            resultType:"",//返回值类型
            resultTypeProp:"",//返回值属性
        },
        columnDataSetSettings:{//柱体数据数据集配置
            dataSetId:"",//数据集id
            column:[],//cloumn属性
        },
        series: [
            {
            name:"系列名称",
            data: [120, 200, 150, 80, 70, 110, 130],
            type: 'bar',
            barGap: 0,
            itemStyle: {
                color: '#00adff',//柱体颜色
            },
           
             smooth:20,//柱体宽度
        },
    ],
       
    }
}
//大屏折线图组件初始化值
commonConstants.screenLineChartInit={
    type:commonConstants.componentsType.lineChart,
    x:0,//初始化横坐标
    y:0,//初始化纵坐标
    w:300,//文本组件初始化宽度
    h:200,//文本组件初始化高度
    active:false,
    zindex:'auto',
    theme:"dark",//主题
    isRefresh:false,//是否定时刷新
    refreshTime:0,//定时刷新时间，单位(ms)
    options:{
        backgroundColor: '#100C2A' ,
        title:{
            show:true,//ture or false
            text:"折线图",
            x:'center',//'left' 'center' 'right'
            textStyle:{//标题样式
                color:'#1E90FF',
                fontWeight: 'normal',//'normal' 'bold'
                fontSize:20
            }
        },
        tooltip:{
            show:true,
            trigger: 'axis',
            axisPointer: {
                type: 'shadow'
            }
        },
        legend:{
            show:true,
            left:0,
            top:0
        },
        xAxis: {//x轴属性
            type: 'category',
            data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
            axisLabel:{//x坐标是否显示，间隔和字体倾斜
                show:true,
                interval:0,
                rotate:30,
                color:'#FFFFFF',//字体颜色
                fontWeight:'normal',//'normal','bold'
                fontSize:12,
                overflow:'truncate',
                ellipsis:'...',
                width:40
            },
        },
        yAxis: {
            show:true,
            axisLabel:{//x坐标是否显示，间隔和字体倾斜
                show:true,
                rotate:0,
                color:'#FFFFFF',//字体颜色
                fontWeight:'normal',//'normal','bold'
                fontSize:12,
                overflow:'truncate',
                ellipsis:'...',
                width:40
            },
        },
        
        categoryDataSource:"1",//类目数据来源 1自定义 2接口 3数据集
        apiSettings:{
            url:"",//请求地址
            requestType:"post",//请求类型 post get
            params:"",//请求参数
            resultType:"",//返回值类型
            resultTypeProp:"",//返回值属性
        },
        //类目数据集配置
        categoryDataSetSettings:{
            dataSetId:"",//数据集id
            column:"",//cloumn属性
        },
        columnDataSource:"1",//柱体数据来源 1自定义 2接口 3数据集
        dataApiSettings:{//柱体数据接口配置
            url:"",//请求地址
            requestType:"post",//请求类型 post get
            params:"",//请求参数
            resultType:"",//返回值类型
            resultTypeProp:"",//返回值属性
        },
        columnDataSetSettings:{//柱体数据数据集配置
            dataSetId:"",//数据集id
            column:[],//cloumn属性
        },
        series: [
            {
            name:"系列名称",
            data: [120, 200, 150, 80, 70, 110, 130],
            type: 'line',
            barGap: 0,
            itemStyle: {
                color: '#00adff',//折线颜色颜色
            },
            smooth:false,//平滑曲线
        },
    ],
       
    }
}

//大屏饼图组件初始化值
commonConstants.screenPieChartInit={
    type:commonConstants.componentsType.pieChart,
    x:0,//初始化横坐标
    y:0,//初始化纵坐标
    w:450,//文本组件初始化宽度
    h:240,//文本组件初始化高度
    active:false,
    zindex:'auto',
    theme:"dark",//主题
    isRefresh:false,//是否定时刷新
    refreshTime:0,//定时刷新时间，单位(ms)
    options:{
        backgroundColor: '#100C2A' ,
        title:{
            show:true,//ture or false
            text:"饼图",
            x:'center',//'left' 'center' 'right'
            textStyle:{//标题样式
                color:'#1E90FF',
                fontWeight: 'normal',//'normal' 'bold'
                fontSize:20
            }
        },
        tooltip:{
            show:true,
            trigger: 'item',
        },
        legend:{
            show:true,
            left:0,
            top:0,
            orient:'vertical'
        },
        columnDataSource:"1",//柱体数据来源 1自定义 2接口 3数据集
        dataApiSettings:{//柱体数据接口配置
            url:"",//请求地址
            requestType:"post",//请求类型 post get
            params:"",//请求参数
            resultType:"",//返回值类型
            resultTypeProp:"",//返回值属性
        },
        columnDataSetSettings:{//柱体数据数据集配置
            dataSetId:"",//数据集id
            column:[],//cloumn属性
        },
        series: [
            {
            name:"访问来源",
            roseType:"",
            label: {
                show: true,
                position:'outside',
                formatter:'{b}'
            },
            data: [
                {value: 1048, name: '搜索引擎'},
                {value: 735, name: '直接访问'},
                {value: 580, name: '邮件营销'},
                {value: 484, name: '联盟广告'},
                {value: 300, name: '视频广告'}
            ],
            type: 'pie',
            radius: ['0%','50%'],
        },
    ],
       
    }
}
//大屏仪表盘组件初始化数据
commonConstants.screenGaugeInit={
    type:commonConstants.componentsType.gauge,
    x:0,//初始化横坐标
    y:0,//初始化纵坐标
    w:450,//文本组件初始化宽度
    h:240,//文本组件初始化高度
    active:false,
    zindex:'auto',
    theme:"dark",//主题
    isRefresh:false,//是否定时刷新
    refreshTime:0,//定时刷新时间，单位(ms)
    options:{
        backgroundColor: '#100C2A' ,
        title:{
            show:true,//ture or false
            text:"仪表盘",
            x:'center',//'left' 'center' 'right'
            textStyle:{//标题样式
                color:'#1E90FF',
                fontWeight: 'normal',//'normal' 'bold'
                fontSize:20
            }
        },
        tooltip:{
            show:false,
            trigger: 'item',
        },
        columnDataSource:"1",//柱体数据来源 1自定义 2接口 3数据集
        dataApiSettings:{//柱体数据接口配置
            url:"",//请求地址
            requestType:"post",//请求类型 post get
            params:"",//请求参数
            resultType:"",//返回值类型
            resultTypeProp:"",//返回值属性
        },
        columnDataSetSettings:{//柱体数据数据集配置
            dataSetId:"",//数据集id
            column:[],//cloumn属性
        },
        series: [{
            name: '',
            type: 'gauge',
            radius:90,
            min: 0,
            max: 100,
            startAngle: 225,// 仪表盘起始角度,默认 225。圆心 正右手侧为0度，正上方为90度，正左手侧为180度。
            endAngle: -45,
            splitNumber:10,
            axisLine:{
                show:true,
                lineStyle:{
                    width:10,
                    color:[[1, '#E6EBF8']]
                }
            },
            progress: {
                show: true,
                width:10,
                itemStyle:{
                    color:"#1E90FF"
                }
            },
            splitLine:{
                show:true,
                length:10,//分割线长度
                distance:10,//分割线与轴线的距离
                lineStyle:{
                    color:"#63677A",
                    width:3,
                }
            },
            axisTick:{
                show:true,
                splitNumber:5,
                length:6,
                distance:10,
                lineStyle:{
                    color:"#63677A",
                    width:1,
                }
            },
            axisLabel:{
                show:true,
                distance:15,
                color:"#FCFAFA",
                fontSize:12
            },
            anchor:{
                show:true,
                size:16,
                icon:'circle',
                itemStyle:{
                    color:"#fff",
                    borderWidth:2,
                    borderColor:'#00CED1'
                }
            },
            pointer:{
                show:true,
                length:'40%',
                icon:'triangle',
                width:10,
                itemStyle:{
                    color:"#FF8C00"
                }
            },
            title: {
                show: true,
                offsetCenter: [0, 30],
                color:'#FCFAFA',
                fontWeight:'normal',
                fontSize:16,
            },
            detail: {
                show:true,
                color:'#FCFAFA',
                valueAnimation: true,
                formatter: '{value}',
                fontSize: 20,
                fontWeight:'bold',
                offsetCenter: [0, 50]
            },
            data: [{
                value: 90,
                name: '得分'
            }]
        }]
       
    }
}

//大屏文本组件初始化的值
commonConstants.screenTableInit={
    type:commonConstants.componentsType.table,
    x:0,//初始化横坐标
    y:0,//初始化纵坐标
    w:300,//文本组件初始化宽度
    h:300,//文本组件初始化高度
    // style:{
    //     display:'table-cell',textAlign:'center', verticalAlign:"middle",fontSize:"14",color:"#000000",letterSpacing:"1",background:"",fontWeight:false
    // },
    zindex:'auto',
    isRefresh:false,//是否定时刷新
    refreshTime:0,//定时刷新时间，单位(ms)
    //数据列
    tableColumn:[{"name":"销售数量","key":"count","style":{"width":'40'}},{"name":"日期","key":"date","style":{"width":'40'}}],
    
    headStyle:{
        height:40,//高度
        backgroundColor:'#2570a1',
        color:"#00FFFF",//字体颜色
        fontSize:12,//字体大小
        fontWeight:'bold',//是否加粗 normal 和bold
    },//表头样式
    style:{//整体样式
        showIndex:true,//是否显示序号
        isBorder:true,//是否显示边框
        borderColor:'#FFFFFF',//边框颜色
        borderWidth:1,//边框宽度
        borderStyle:'solid',//边框样式
        indexWidth:'20',
    },
    bodyStyle:{//表体样式
        oddRowColor:'#33a3dc',//奇数行颜色
        evenRowColor:'#2570a1',//偶数行颜色
        height:30,//行高
        color:'#ffffff',//字体颜色
        fontSize:12,//字体大小
        fontWeight:'normal',//是否加粗
    },
    options:{//表格配置项
        step: 0.5, // 数值越大速度滚动越快
        limitMoveNum: 2, // 开始无缝滚动的数据量 this.dataList.length
        hoverStop: true, // 是否开启鼠标悬停stop
        direction: 1, // 0向下 1向上 2向左 3向右
        openWatch: true, // 开启数据实时监控刷新dom
        singleHeight: 30, // 单步运动停止的高度(默认值0是无缝不停止的滚动) direction => 0/1
        singleWidth: 0, // 单步运动停止的宽度(默认值0是无缝不停止的滚动) direction => 2/3
        waitTime: 1000, // 单步运动停止的时间(默认值1000ms)
    },
    columnDataSource:"1",//柱体数据来源 1自定义 2接口 3数据集
    dataApiSettings:{//柱体数据接口配置
        url:"",//请求地址
        requestType:"post",//请求类型 post get
        params:"",//请求参数
    },
    columnDataSetSettings:{//柱体数据数据集配置
        dataSetId:"",//数据集id
        column:[],//cloumn属性
    },
    data:[{
        'count': '100',
        'date': '2021-08-01'
      }, {
        'count': '95',
        'date': '2021-08-02'
      }, {
        'count': '112',
        'date': '2021-08-03'
      }, {
        'count': '125',
        'date': '2021-08-04'
      }, {
        'count': '144',
        'date': '2021-08-05'
      }, {
        'count': '168',
        'date': '2021-08-06'
      }, {
        'count': '158',
        'date': '2021-08-07'
      }, {
        'count': '99',
        'date': '2021-08-08'
      }],//表格数据
}

//大屏日期组件初始化的值
commonConstants.screenDateInit={
    type:commonConstants.componentsType.date,
    x:0,//初始化横坐标
    y:0,//初始化纵坐标
    w:200,//图片组件初始化宽度
    h:50,//图片组件初始化高度
    style:{
        display:'table-cell',textAlign:'center', verticalAlign:"middle",fontSize:"14",color:"#ffffff",letterSpacing:"1",background:"",fontWeight:false
    },
    zindex:'auto',
    content:"",
    format:"1",
}

//下拉框属性
commonConstants.props={label:'label',value:'value'}

commonConstants.dictionary={
    yesNo:{
        "1":"是",
        "2":"否"
    },
    menuRule:{
        "1":"登陆后访问",
        "2":"登陆后并授权访问"
    },
    apiRule:{
        "1":"公开访问",
        "2":"登录后访问",
        "3":"登录后并授权访问",
    },
    //数据源类型
    dataSourceType:{
        "1":"mysql",
        "2":"oracle",
        "3":"sqlServer",
    },
    paramRequired:{
        "1":"是",
        "2":"否",
    },
    
}

/**
 * @description: 数据字典类型
 * @param {type}
 * @return:
 * @author: caiyang
 */
commonConstants.codeType={
}
export default commonConstants;


commonConstants.courseType=[
    { label: "红心向党", value: "红心向党" },
    { label: "道德修养", value: "道德修养" },
    { label: "好好学习", value: "好好学习" },
    { label: "奋进新时代", value: "奋进新时代" },
    { label: "我的学习", value: "我的学习" },
    // { label: "红色视听", value: "红色视听" },
  ]